rss
twitter
    Envie de me voir sur Twitter ? Follow me !
BlogBang

Erreur avec Synaptic

Je ne pense pas être le seul à avoir remarqué une petite erreur qui pointait le bout de son nez avec Synaptic. Rien d'affolant, j'en ai parlé brièvement dans les commentaires, il suffit de recharger plusieurs fois la liste des dépôts pour la faire disparaître.

L'erreur qui apparaît est la suivante :

E: Impossible de traiter le fichier /var/lib/dpkg/status (2)
E: Impossible de verrouiller le répertoire de téléchargement


Cette erreur est due à l'utilisation de la fonction recherche de Synaptic. Je ne sais pas pourquoi mais il est donc préférable de chercher un programme en faisant dérouler la liste. ;)
Comme je le disais, en insistant plusieurs fois, l'installation de l'application va se faire au bout d'un moment mais il me semble que la prochaine fois le message reviendra et ainsi de suite.

Pour s'en débarrasser, fermez Synaptic et dans un terminal ("Ctrl+Alt+T") :

sudo dpkg --configure -a
sudo apt-get update


Voilà ! Synaptic est de nouveau opérationnel.
J'insiste tout de même sur le fait que c'est la fonction recherche qui génère cette erreur donc à éviter !
C'est dommage mais bon, les programmes dans la liste déroulante sont par ordre alphabétique, ce qui devrait faciliter la tâche. :)

Tcho, Hamtaro.

22 commentaires:

Anonyme a dit…

bonjour, j'ai un eeepc SFR et j'ai les messages suivants :
dpkg : des problèmes de dépendances empêchent la configuration de asus-categories :
asus-categories dépend de asus-3gtool (>= 1.0-7xandros1) ; cependant :
Le paquet asus-3gtool n'est pas installé.
dpkg : erreur de traitement de asus-categories (--configure) :
problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de asus-launcher :
asus-launcher dépend de asus-categories ; cependant :
Le paquet asus-categories n'est pas encore configuré.
dpkg : erreur de traitement de asus-launcher (--configure) :
problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
asus-categories
asus-launcher

pouvez-vous m'aider?

merci

Hamtaro a dit…

Tu cherchais à installer asus-categories ?
Sinon, en gros, il te dit qu'il te manque (dépendance) asus-3gtools.
Donc tu fais dans un terminal :
sudo apt-get install asus-3gtools

Et tu recommences ce que tu voulais faire. ;)
Dis moi si ta situation est débloqué après.

TCho, Hamtaro.

Anonyme a dit…

j'ai un probleme avec synaptic, je le lance mais il n'affiche rien dans les colonnes

Hamtaro a dit…

@ Anonyme : et en appuyant sur le bouton "Recharger" ?

TCho, Hamtaro.

chris a dit…

quand je fais recharger, un telechargement se produit,et puis la liste reste vide

Hamtaro a dit…

@ Chris : que contient ton fichier de dépôts :
sudo kwrite /etc/apt/sources.list

Es-tu bien connecté à internet ?

Tcho, Hamtaro.

christian a dit…

voilà,j'ai ça

deb http://update.eeepc.asus.com/p701 p701 main
deb http://update.eeepc.asus.com/p701/fr p701 main
deb http://dccamirror.xandros.com/dccri/ dccri-3.0 main
deb http://www.geekconnection.org/ xandros4 main
deb http://download.tuxfamily.org/eeepcrepos/ p701 main etch
deb http://updates.xepc.org/ p701 main

Hamtaro a dit…

@ Christian : et en faisant dans un terminal :
sudo apt-get update

Le terminal te dit quoi ?

Tcho, Hamtaro.

LaGazelleN a dit…

Chris --> il n'y a vraiement rien du tout ? ni sur la colonne de gauche, ni sur la colonne de droite

Anonyme a dit…

La mise à jour s'effectue correctement,mais toujours rien,(colonnes droite et gauche complètement vides) mais un message me dit ;il y a 1 paquet cassé sur votre système utilisez le filtre cassés pour le trouver

quand je ferme ce message, il y a un autre message d'erreur :
E: le paquet dcp330lpr doit etre réinstalle,mais je ne parviens pas à trouver son archive.
en fait cette archive correspond à un pilote pour imprimante Brother qui ne s'est pas installé correctement (voir mes réponses sur ce post:http://forum.eee-pc.fr/sujet-270-imprimante-brother-wifi

est ce ça le problème ?
en tout ca merci de votre aide

LaGazelleN a dit…

Anonyme --> pour le paquet cassé :

en dessous de la colonne de gauche, il devrait y avoir des onglets Catégories, etat etc, etc

si c'est le cas, cliques sur l'onglet etat, et tu devrais voir "broken packages"
et le paquet cassé avec une icone rouge.
clic droit et suppression complete.
devrait permettre d'arranger le probleme

chris a dit…

eh, ben non ! rien ne se passe non plus ! Hamtaro, as tu une idée ?

Hamtaro a dit…

Normalement, au niveau des filtres, tu dois avoir paquets cassés.
Choisis le et ton paquet mal installé devrait être là.
Tu fais clic droit déinstaller entièrement.

Ensuite la liste devrait réapparaitre. ;)

TCho, Hamtaro.

chris a dit…

helas,toujours pas, j'ai bien utilisé ce filtre mais aucun fichier n'est trouvé.
Y a t-il une methode ppour trouver un paquet cassé autrement qu'avec synaptic ?

Hamtaro a dit…

@ Chris : et dans un terminal :
sudo apt-get remove dcp330lpr

TCho, Hamtaro.

chris a dit…

ça me met ça:
E: dpkg was interrupted,you must manualy run 'dpkg--configure-a to correct the problem

LaGazelleN a dit…

sudo dpkg --configure -a

et ca donne quoi ?

chris a dit…

en résumé ça me mets que le paquet dcp330clpr est dans un état incohérent et qu'il doit etre reinstallé pour le configurer(et donc le supprimer) le problème c'est que ce pilote ,je n'arrive pas à l'installer, lorsque j'essaye de le faire il me bloque l'eeepc.

LaGazelleN a dit…

sur les forums ubuntu, il semble que le problème soit posé. Peut-etre une solution

http://forum.ubuntu-fr.org/viewtopic.php?pid=1405420

sinon, essaye de voir si tu ne peux pas trouver le dcp330clpr .deb que tu pourrais installer en faisant dpkg -i lenomdutruc.deb.

A suivre donc

resux a dit…

Salut,
Les commandes n'ont rien données chez moi. Toujours les mêmes erreurs en voulant installer suite à une recherche.

Heureusement qu'il y a apt-get install.

Hamtaro a dit…

@ resux : la commande enlève juste le message d'erreur mais n'enlève pas l'erreur en elle même si tu recommences à faire une recherche. ;)

TCho, Hamtaro.

Anonyme a dit…

sudo dpkg --configure -a
sudo apt-get update

En tapant ces lignes de commande sous terminal, j'ai pu débuguer et reconfigurer synaptic (Ubuntu Hardy 8.04)
Merci encore...

 
BlogBang